Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:       nodejs-abbrev
Version:    1.0.7
Release:    alt1_8
Summary:    Abbreviation calculator for Node.js
License:    MIT
URL:        https://github.com/isaacs/abbrev-js
Source0:    https://registry.npmjs.org/abbrev/-/abbrev-%{version}.tgz
BuildArch:  noarch

BuildRequires:  rpm-build-nodejs node-devel
Source44: import.info

%description
Calculate the set of unique abbreviations for a given set of strings.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/abbrev
cp -pr abbrev.js package.json %{buildroot}%{nodejs_sitelib}/abbrev

%nodejs_symlink_deps

%check
node abbrev.js

%files
%{nodejs_sitelib}/abbrev
%doc README.md
%doc --no-dereference LICENSE

%changelog
* Mon Mar 18 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.7-alt1_8
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.4-alt1_7
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.4-alt1_6
- initial import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.4-alt1_5
- initial import

